import request from "@/utils/request";

// 查询活动申请列表
export function listActivity(query) {
  return request({
    url: "/jn/activity/list",
    method: "get",
    params: query,
  });
}

// 查询活动申请详细
export function getActivity(id) {
  return request({
    url: "/jn/activity/" + id,
    method: "get",
  });
}

// 新增活动申请
export function addActivity(data) {
  return request({
    url: "/jn/activity",
    method: "post",
    data: data,
  });
}

// 修改活动申请
export function updateActivity(data) {
  return request({
    url: "/jn/activity",
    method: "put",
    data: data,
  });
}

// 删除活动申请
export function delActivity(id) {
  return request({
    url: "/jn/activity/" + id,
    method: "delete",
  });
}
